﻿/*
 *
 *
 *    MessageBox.cs
 *
 *    License: GNU General Public License Version 3.0.
 *    
 *    Copyright (C) 2017 by Matthew K. Roberts, KK5JY. All rights reserved.
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *    
 *    This program is distributed in the hope that it will be useful, but
 *    WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    General Public License for more details.
 *    
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see: http://www.gnu.org/licenses/
 *    
 *
 */

using Gtk;

namespace KK5JY.SMI.GTK {
	public sealed class MessageBox {
		/// <summary>
		/// Show a message box.
		/// </summary>
		public static ResponseType Show(Window parent, string message, string title, MessageType msg = MessageType.Warning, ButtonsType buttons = ButtonsType.Ok) {
			using (var dialog = new MessageDialog(parent, DialogFlags.DestroyWithParent, msg, buttons, message) { Title = title }) {
				var result = (ResponseType)dialog.Run();
				dialog.Destroy();
				return result;
			}
		}
	}
}
