﻿/*
 *
 *
 *    CommonConfig.cs
 *
 *    License: GNU General Public License Version 3.0.
 *    
 *    Copyright (C) 2017 by Matthew K. Roberts, KK5JY. All rights reserved.
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *    
 *    This program is distributed in the hope that it will be useful, but
 *    WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    General Public License for more details.
 *    
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see: http://www.gnu.org/licenses/
 *    
 *
 */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace KK5JY.Config {
	/// <summary>
	/// Represents an RGB color that can be easily serialized to XML.
	/// </summary>
	public class SerializableColor {
		/// <summary>
		/// Red.
		/// </summary>
		public int R { get; set; }

		/// <summary>
		/// Green.
		/// </summary>
		public int G { get; set; }

		/// <summary>
		/// Blue.
		/// </summary>
		public int B { get; set; }

		/// <summary>
		/// Default ctor.
		/// </summary>
		public SerializableColor() {
			// nop
		}
	}

	/// <summary>
	/// Font descriptor for serialization
	/// </summary>
	public class SerializableFont {
		/// <summary>
		/// The font family.
		/// </summary>
		public string FontFamily { get; set; }

		/// <summary>
		/// The point size.
		/// </summary>
		public float Size { get; set; }

		/// <summary>
		/// The font style.
		/// </summary>
		public string Style { get; set; }

		/// <summary>
		/// The graphics unit.
		/// </summary>
		public string GraphicsUnit { get; set; }

		/// <summary>
		/// Default ctor.
		/// </summary>
		public SerializableFont() {
			// nop
		}
	}
}
